## org.biojava.bio.gui.sequence
Class PairwiseSequenceRenderer.PairwiseRendererForwarder

    java.lang.Object
      org.biojava.utils.ChangeForwarder
          org.biojava.bio.gui.sequence.PairwiseSequenceRenderer.PairwiseRendererForwarder

All Implemented Interfaces:
  EventListener, ChangeListener

Enclosing interface:
  PairwiseSequenceRenderer

    public static class PairwiseSequenceRenderer.PairwiseRendererForwarder

extends ChangeForwarder

`PairwiseRendererForwarder` forward events to other renderers. This is closely based on the regular `RendererForwarder`.

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.utils.ChangeForwarder
`ChangeForwarder.Retyper`

Nested classes/interfaces inherited from interface org.biojava.utils.ChangeListener
`ChangeListener.AlwaysVetoListener, ChangeListener.ChangeEventRecorder, ChangeListener.LoggingListener`

Field Summary

Fields inherited from interface org.biojava.utils.ChangeListener
`ALWAYS_VETO, LOG_TO_OUT`

Constructor Summary
`PairwiseSequenceRenderer.PairwiseRendererForwarder(PairwiseSequenceRenderer source, ChangeSupport cs)` Creates a new `PairwiseRendererForwarder`.

Method Summary
`ChangeEvent` `generateEvent(ChangeEvent ce)` `generateEvent` generates events in response to layout change and repaint requests.

Methods inherited from class org.biojava.utils.ChangeForwarder
`changeSupport, getSource, postChange, preChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PairwiseSequenceRenderer.PairwiseRendererForwarder

    public PairwiseSequenceRenderer.PairwiseRendererForwarder(PairwiseSequenceRenderer source,
                                                              ChangeSupport cs)

  Creates a new `PairwiseRendererForwarder`.

  Parameters:
    `source` - a `PairwiseSequenceRenderer`.
    `cs` - a `ChangeSupport`.

Method Detail

### generateEvent

    public ChangeEvent generateEvent(ChangeEvent ce)

  `generateEvent` generates events in response to layout change and repaint requests.

  Overrides:
    `generateEvent` in class `ChangeForwarder`
  Parameters:
    `ce` - a `ChangeEvent`.
  Returns:
    a `ChangeEvent`.